Netbook Edition Lucid Alpha 2 - After first boot default GNOME desktop instead UNR Launcher

Bug #507121 reported by Paolo Sammicheli on 2010-01-13
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
netbook-meta (Ubuntu)
Medium
Didier Roche
ubiquity (Ubuntu)
Undecided
Unassigned
user-setup (Ubuntu)
Medium
Unassigned

Bug Description

How to reproduce it:

- Create USB Stick with Netbook Image and make partition for persistence data
- Boot first time
- Shutdown system
- Boot second time, you'll get standard GNOME Desktop instead Netbook Launcher.

ProblemType: Bug
Architecture: i386
Date: Wed Jan 13 18:32:21 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100113)
Package: ubuntu-netbook-remix (not installed)
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-10.14-generic
SourcePackage: netbook-meta
Tags: lucid ubuntu-unr
Uname: Linux 2.6.32-10-generic i686

tags: added: iso-testing
Ara Pulido (apulido) wrote :

It also happens when you install UNE.
After installation, GNOME desktop appears.

Didier Roche (didrocks) on 2010-01-14
Changed in netbook-meta (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Didier Roche (didrocks)
Mario Limonciello (superm1) wrote :

Here's one way to address this:
http://bazaar.launchpad.net/~mythbuntu/mythbuntu/mythbuntu-default-settings/revision/100 (it can be adjusted for the -default-settings for any other derivative too)

Didier Roche (didrocks) wrote :

I've track it down and /usr/lib/user-setup/user-setup-apply screws up custom.conf in both casper and ubiquity phases.

Making a patch today.

Changed in netbook-meta (Ubuntu):
status: Triaged → Invalid
Changed in user-setup (Ubuntu):
status: New → In Progress
assignee: nobody → Didier Roche (didrocks)
Didier Roche (didrocks) on 2010-01-15
Changed in user-setup (Ubuntu):
importance: Undecided → Medium
Didier Roche (didrocks) wrote :

Add ubiquity as rebuild is needed to take last user-setup-apply script version

Changed in ubiquity (Ubuntu):
status: New → Triaged
Changed in user-setup (Ubuntu):
status: In Progress → Triaged
assignee: Didier Roche (didrocks) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package user-setup - 1.28ubuntu2

---------------
user-setup (1.28ubuntu2) lucid; urgency=low

  * user-setup-apply: preserve old values in custom.conf. Only replace
    what's needed (LP: #507121)
 -- Didier Roche <email address hidden> Fri, 15 Jan 2010 12:38:22 +0000

Changed in user-setup (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.1.11

---------------
ubiquity (2.1.11) lucid; urgency=low

  [ Evan Dandrea ]
  * Remove ubiquity on successful completion of oem-config (LP: #210779).

  [ Didier Roche ]
  * Rebuild needed to take 1.28ubuntu2 user-setup-apply version (LP: #507121)

  [ Colin Watson ]
  * Log calls to partman's freeze_choices and thaw_choices.
  * Revert frozen choices change from 2.1.8. Instead, arrange to thaw
    choices for partman/choose_partition immediately *before* going back to
    it at the end of building the cache, rather than just after it's
    displayed when thawing choices has no immediate effect (LP: #506585).
  * Automatic update of included source packages: partman-base 135ubuntu4,
    user-setup 1.28ubuntu2.
 -- Colin Watson <email address hidden> Sat, 16 Jan 2010 00:31:16 +0000

Changed in ubiquity (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers